FLCBYT-API FLUC Byte Interface

Macros
MAC methods

Defines integer values for the different methods for calculation a message authentication code. More...

## Macros
#define | FLCMAC_ALGO_NON 0U
| No valid hash method. More...
#define | FLCMAC_ALGO_HMAC 1U
| HMAC conform to RFC 2104. More...

## Detailed Description

Defines integer values for the different methods for calculation a message authentication code.

Pass this to the hash functions to choose the key related procedure.

## Macro Definition Documentation

## ◆ FLCMAC_ALGO_NON

#define FLCMAC_ALGO_NON 0U

No valid hash method.

## ◆ FLCMAC_ALGO_HMAC

#define FLCMAC_ALGO_HMAC 1U

HMAC conform to RFC 2104.